funcao speak

Visualizando 7 posts - 1 até 7 (de 7 do total)
  • Autor
    Posts
  • #40389

    estou com uma duvida durante a funcao speak, esta dando um erro estranho.o erro

    #40453

    resolvi, problema era na configuracao para a voz no pc

    #40454
    Dalton Vargas
    Moderador

      Olá Moises,

      Perfeito, que bom que deu certo! Obrigado por compartilhar a solução 😉

      #43349

      Função Speak

      Traceback (most recent call last):
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/__init__.py”, line 20, in init
      eng = _activeEngines[driverName]
      ~~~~~~~~~~~~~~^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/weakref.py”, line 136, in __getitem__
      o = self.data[key]()
      ~~~~~~~~~^^^^^
      KeyError: None

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File “/home/tiago/Documents/Projetos/python/Ia Expert/Assistente Virtual/curso_assistente/assistente-original.py”, line 126, in <module>
      speak(‘Testando o sintetizador de voz da assistente’)
      File “/home/tiago/Documents/Projetos/python/Ia Expert/Assistente Virtual/curso_assistente/assistente-original.py”, line 120, in speak
      engine = pyttsx3.init()
      ^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/__init__.py”, line 22, in init
      eng = Engine(driverName, debug)
      ^^^^^^^^^^^^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/engine.py”, line 30, in __init__
      self.proxy = driver.DriverProxy(weakref.proxy(self), driverName, debug)
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/driver.py”, line 50, in __init__
      self._module = importlib.import_module(name)
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/importlib/__init__.py”, line 126, in import_module
      return _bootstrap._gcd_import(name[level:], package, level)
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File “<frozen importlib._bootstrap>”, line 1204, in _gcd_import
      File “<frozen importlib._bootstrap>”, line 1176, in _find_and_load
      File “<frozen importlib._bootstrap>”, line 1147, in _find_and_load_unlocked
      File “<frozen importlib._bootstrap>”, line 690, in _load_unlocked
      File “<frozen importlib._bootstrap_external>”, line 940, in exec_module
      File “<frozen importlib._bootstrap>”, line 241, in _call_with_frames_removed
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/drivers/espeak.py”, line 9, in <module>
      from . import _espeak, toUtf8, fromUtf8
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/site-packages/pyttsx3/drivers/_espeak.py”, line 18, in <module>
      dll = cdll.LoadLibrary(‘libespeak.so.1’)
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/ctypes/__init__.py”, line 454, in LoadLibrary
      return self._dlltype(name)
      ^^^^^^^^^^^^^^^^^^^
      File “/home/tiago/anaconda3/envs/jarvis/lib/python3.11/ctypes/__init__.py”, line 376, in __init__
      self._handle = _dlopen(self._name, mode)
      ^^^^^^^^^^^^^^^^^^^^^^^^^
      OSError: libespeak.so.1: cannot open shared object file: No such file or directory

      #43360
      Dalton Vargas
      Moderador

        Olá Tiago,

        Este erro indica que o programa não consegue encontrar o arquivo compartilhado libespeak.so.1. Este é um problema comum quando há uma dependência ausente ou mal configurada. Para corrigir isso, você pode seguir a etapa abaixo:

        • Instale o pacote espeak:
          • No Ubuntu ou Debian, você pode instalar usando o seguinte comando: sudo apt-get install espeak
          • No Linux ou Manjaro, você pode instalar o eSpeak usando um gerenciador de pacotes como pamac: pamac install espeak-ng
        • Se você estiver usando uma distribuição Linux diferente, pode ser necessário consultar seu gerenciador de pacotes ou repositório de pacotes para instalar o eSpeak.
        • Para Windows, pyttsx3 usa SAPI5 por padrão. Certifique-se de ter vozes SAPI5 instaladas e configuradas corretamente em seu sistema Windows.

        Se você estiver usando um sistema operacional diferente, consulte a documentação do seu gerenciador de pacotes para instalar o pacote espeak.

        • Esta resposta foi modificada 4 meses, 3 semanas atrás por Dalton Vargas.
        #43362

        Obrigado, deu certo !!

         

         

        #44642
        Jones Granatyr
        Moderador

          Que bom que deu certo!

        Visualizando 7 posts - 1 até 7 (de 7 do total)
        • Você deve fazer login para responder a este tópico.